#!/usr/bin/env ruby

# frozen_string_literal: true

require_relative 'config'
require_relative 'repository'
require_relative 'transcoder'

# create new configuration instance
c = Config.new('~/.config/zealot.toml')

# create new repository instance
r = Repository.new(c.get('transcoder.repository'))

# create new transcoder instance
t = Transcoder.new(c, r)

# start the transcoder
t.start
